Support Center

I just purchased scrap factory dolls to my MacBook and the software is up to date but only 10.6. 8 what do I do now?

Last Updated: May 09, 2014 01:52PM EDT

Scrap Factory requires you to have 10.7 or above. I'm a Mac user and I'm pretty sure you can update to the latest OS MAVERICKS for free if the computer qualifies.

support@scrappydew.com
http://assets1.desk.com/
false
desk
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete